.mat-drawer-content {
  height: 100vh !important;
  overflow: hidden auto !important;
}

@mixin size($width, $height: null) {
  width: $width;
  height: if($height==null, $width, $height);
}

.toolbar-spacer {
  flex: 1 1 auto;
}

.theme-selectors-container {
  width: 190px;
  margin: 0 8px;
}

button.theme-selector {
  @include size(60px);
}

div.theme-primary {
  @include size(50px);
  border-radius: 50%;
}

div.theme-accent {
  @include size(30px);
  position: absolute;
  bottom: 10px;
  left: 10px;
  border-radius: 50px;
}

div.theme-warn {
  @include size(15px);
  position: absolute;
  bottom: 34%;
  left: 36%;
  transform: rotate(45deg);
  border-radius: 50px;
}

.theme-check {
  color: white;
  font-size: 26px !important;
}

.theme-selector-is-dark {
  font-weight: bold;
  font-size: 1.2em;
}

.center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-53%, -53%);
}

.margin-content {
  margin-top: 64px;
}